canmenu=true
local He = 1003
local She = 1004
top_plush_id = 900000000;
bottom_plush_id = 900000001;
local plush_speed = 1.2;
local speed = 1.5;
local frame = 0;
local plawes = false;
SemiClosePlushes();
local fly = 1002
WaitRender()
-- function pribor1()
-- playeffect("064")
-- end
-- function hair_anim()
playeffect("068")
-- end
StartTimer(888122,4)
function gameinput (sender,obj_id,attachedID)

------------------------------------------------------------------------------------------------------------------
	
	if sender==33 then
		if plushes_were_closed then
		flags.comics3= false;
			LevelComplete()

		else
			DrawSkipButton();
		end;
	end;
	if sender==36 then
		if obj_id==888122 then				
											
					del_object_from_game(805)
					del_object_from_game(806)
					del_object_from_game(1027)
					del_object_from_game(1029)
					del_object_from_game(1030)
					del_object_from_game(obj.persi_down.id)
					
				
				
					speciale_action(2,1002)
					speciale_action(2,1026,true)					
					MoveByVector(fly,322,229,5,110)
					playeffect("069")
		return; end;
	end;
	
	
-------------------------------------------------------------------------------------------------------------------
if sender==100 then

		if plawes1 then
			comics_fin=true;
			plawes1=false;	
		--	OpenPlushes();
			--addfade(800000011,1);
			speciale_action(4,800000000);
			SetAlfa(800000000,1,0,1.5);
			MoveObjectY(900000000, 0, -384, 1.2);
		
			MoveObjectY(900000001, 384, 769, 1.2);	
			speciale_action(4,900000000);	
			speciale_action(4,900000001);	
			
		return; end	
	return; end
-------------------------------------------------------------------------------------------------------------------

	if sender==28 then			
			if obj_id == fly then				
			CloseComPlash()		
			return; end;	
	return;end;
	

	if sender == 1 then --кликнули левой кнопкой мыши на активный объект
		if obj_id == skip_id then
			BlockCursor(false)
			CloseComPlash()		
			plawes= true;
		end;
	return;end;
	


end
